import 'package:flutter/material.dart';
import 'package:numetagen_sdk_flutter/numetagen_sdk_flutter.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatefulWidget {
  const MyApp({super.key});

  @override
  State<MyApp> createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          children: [
            Center(
              child: ElevatedButton(
                /// This is the button that will call the native platform
                onPressed: () async =>
                    await NumetagenSdkFlutter().startAdsActivity(),
                child: const Text('Start Ads Activity'),
              ),
            ),
          ],
        ),
      ),
    );
  }
}
