import 'package:flutter_test/flutter_test.dart';
import 'package:numetagen_sdk_flutter/numetagen_sdk_flutter_method_channel.dart';
import 'package:numetagen_sdk_flutter/numetagen_sdk_flutter_platform_interface.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockNumetagenFlutterSdkPlatform
    with MockPlatformInterfaceMixin
    implements NumetagenFlutterSdkPlatform {
  @override
  Future<String?> startAdsActivity() {
    return Future.value('test');
  }

  void main() {
    final NumetagenFlutterSdkPlatform initialPlatform =
        NumetagenFlutterSdkPlatform.instance;

    test('$MethodChannelNumetagenFlutterSdk is the default instance', () {
      expect(initialPlatform, isInstanceOf<MethodChannelNumetagenFlutterSdk>());
    });
  }
}
